// Include only once
#ifndef B_HPP
#define B_HPP

/**
 * @ref B is a simple base class constructors and destructor
 */
class B {

/**
 * @name Constructors and Destructor
 */
//@{

    /**
     * @ref B's default constructor.
     */
  public:
    B();

    /**
     * @ref B's copy constructor.
     */
  public:
    B(const B&);

    /**
     * @ref B's move constructor.
     */
  public:
    B(B&&);

    /**
     * @ref B's destructor.
     */
  public:
    ~B();

    // End Constructors and Destructor
    //@}

    // End B definition.
};

// End check for multiple inclusion
#endif
